package de.hhu.ba.yoshikoWrapper.gui;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

/**Implementation of the JFileChooser that limits choices to shared library
 * TODO: Perform basic sanity checks on the selected file (Checksum?)
 * @author Philipp Spohr, Aug 6, 2017
 *
 */
public class YLibChooser extends JFileChooser {
	/**
	 * 
	 */
	private static final long serialVersionUID = -2528894543739757962L;

	/**
	 * Default constructor
	 */
	public YLibChooser() {
		super();
		this.setFileFilter(new FileFilter() {

			@Override
			public boolean accept(File f) {
				//TODO
				return true;
			}

			@Override
			public String getDescription() {
				return "Compiled Yoshiko-Libraries";
			}
			
		});
	}
}
